use bevy::{prelude::*, render::camera::ScalingMode};

pub struct Plugin;
impl bevy::prelude::Plugin for Plugin {
    fn build(&self, app: &mut App) {
        app.add_systems(Startup, setup);
    }
}

#[derive(Component)]
pub struct CameraMarker;

fn setup(mut cmds: Commands, window: Query<&Window>) {
    cmds.spawn((
        CameraMarker,
        Camera3d {
            ..Default::default()
        },
        PerspectiveProjection::default(),
        Transform::from_translation(Vec3::new(0., -1., 1.))
            .looking_to(Vec3::new(0., 1., -1.), Vec3::Y),
    ));
    cmds.spawn((
        DirectionalLight {
            color: Color::WHITE,
            illuminance: 17000.,
            //shadows_enabled: true,
            ..Default::default()
        },
        Transform::default().looking_to(Vec3::new(1., -1., -1.), Vec3::ZERO),
    ));
}
